Adobe Captivate 测验报告功能 'internalServerReporting.php' 文件上传 RCE

high Nessus 插件 ID 100841

简介

远程 Web 服务器包含受到远程代码执行漏洞影响的 PHP 应用程序。

描述

远程 Web 服务器上运行的 Adobe Captivate 应用程序受到 ‘internalServerReporting.php’ 脚本中测验报告功能中一个远程代码执行漏洞的影响,这是因为未能正确审查和验证上传文件,便将其放入用户可访问的路径所致。未经身份验证的远程攻击者可利用此问题,上传特制文件并对其提出直接请求,以 Web 服务器用户 ID 的权限,在远程主机上执行任意 PHP 代码。

解决方案

升级到 Adobe Captivate 2017 (10.0.0.192) 或更高版本。或者,应用 Adobe Captivate 8 和 9 热修复。

另见

https://helpx.adobe.com/security/products/captivate/apsb17-19.html

https://helpx.adobe.com/captivate/kb/security-updates-captivate.html

插件详情

严重性: High

ID: 100841

文件名: adobe_captivate_quiz_arbitrary_upload.nasl

版本: 1.9

类型: remote

系列: CGI abuses

发布时间: 2017/6/16

最近更新时间: 2021/2/25

风险信息

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: Medium

基本分数: 5

时间分数: 4.1

矢量: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

CVSS 分数来源: CVE-2017-3087

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

时间矢量: CVSS:3.0/E:F/RL:O/RC:X

漏洞信息

CPE: cpe:/a:adobe:captivate

必需的 KB 项: www/PHP

可利用: true

易利用性: Exploits are available

被 Nessus 利用: true

补丁发布日期: 2017/6/13

漏洞发布日期: 2017/6/13

参考资料信息

CVE: CVE-2017-3087

IAVA: 2017-A-0172